# FdoProviderNameTokensP Class Reference

`#include <ProviderNameTokens.h>`

Inheritance diagram for FdoProviderNameTokensP:

[legend]

List of all members.

## Detailed Description

FdoProviderNameTokensP is a FdoPtr on FdoProviderNameTokens, provided for convenience. It also provides operators for comparing two provider names.

Definition at line 102 of file ProviderNameTokens.h.

## Public Member Functions
FDO_API | FdoProviderNameTokensP (FdoProviderNameTokens *src)
| Tokenized provider name FdoPtr copy constructor.
FDO_API | FdoProviderNameTokensP (const FdoProviderNameTokensP &src)
| Tokenized provider name FdoPtr copy constructor.
FDO_API | FdoProviderNameTokensP ()
| Tokenized provider name FdoPtr default constructor.
FDO_API FdoBoolean | operator!= (const FdoProviderNameTokensP name2) const
| Compare two tokenized provider names for difference The names are different if at least one of their elements are different. If one name is shorter than the other then it is treated as if it were padded with null elements to the length of the other name.
FDO_API FdoBoolean | operator< (const FdoProviderNameTokensP name2) const
| Checks if this provider name is less than another provider name. This provider name is less than the other name only if the company and name are the same, but this provider's version is earlier than that of name2. Therefore, it is possible for a provider name to be neither greater than, equal or less than another provider name.
FDO_API FdoBoolean | operator<= (const FdoProviderNameTokensP name2) const
| Checks if this provider name is less than or equal to another provider name. This provider name is less than the other name only if the company and name are the same, but this provider's version is earlier than that of name2. Therefore, it is possible for a provider name to be neither greater than, equal or less than another provider name.
FDO_API FdoProviderNameTokens * | operator= (FdoProviderNameTokens *src)
| Copies a tokenized provider name.
FDO_API FdoBoolean | operator== (const FdoProviderNameTokensP name2) const
| Compare two tokenized provider names for equality. The names are equal if all of their elements are equal. If one name is shorter than the other then it is treated as if it were padded with null elements to the length of the other name.
FDO_API FdoBoolean | operator> (const FdoProviderNameTokensP name2) const
| Checks if this provider name is greater than another provider name. This provider name is greater only if the company and name are the same, but this provider's version is later than that of name2. Therefore, it is possible for a provider name to be neither greater than, equal or less than another provider name.
FDO_API FdoBoolean | operator>= (const FdoProviderNameTokensP name2) const
| Checks if this provider name is greater than or equal to another provider name. This provider name is greater only if the company and name are the same, but this provider's version is later than that of name2. Therefore, it is possible for a provider name to be neither greater than, equal or less than another provider name.
FDO_API | ~FdoProviderNameTokensP ()
| Tokenized provider name FdoPtr destructor.

The documentation for this class was generated from the following file:

- ProviderNameTokens.h